LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat
User Name
Password
Red Hat This forum is for the discussion of Red Hat Linux.

Notices


Reply
  Search this Thread
Old 06-11-2018, 04:50 PM   #1
wazzu62
LQ Newbie
 
Registered: Dec 2007
Posts: 5

Rep: Reputation: 0
redhet update using yum not seeing rpm's on repo


I am trying to update a server running RHEL 6.8 (x86_64) to 6.9. I am running against a local repo I configured using reposync

when I run yum update I get many errors at the end. For example

Error: Package: cloog-ppl-0.15.7-1.2.el6.x86_64
Requires: libgmo.so.3()(64bit)
Removing: gmp.4.3.1-10.el6.x86_64 (@localrepo)
libgmp.so.3()(64bit)
Updated By: gmp.4.3.1-12.el6.i686 (localrepo)
Not Found
Available: gmp.4.3.1-7.el6.x86_64 (localrepo)
libgmp.so.3()(64bit)

the file gmp.4.3.1-12.el6.i686 is on the repo and accessible (same permissions as gmp.4.3.1-7.el6.x86_64) so I am not sure why yum update can't find what it needs.

running yum update gmp.i686 generates similar errors, all having problems finding i686 files on the repo server, that exist.

I have re-run createrepo on the repo server and have deleted yum cache and run yum clean all on the target server.

Any ideas where things went wrong?

These servers sit on an air-gapped, isolated network so sharing info from there to here is not an easy task.
 
Old 06-12-2018, 06:22 PM   #2
ilesterg
Member
 
Registered: Jul 2012
Distribution: Arch, Debian, and CentOS/RHEL
Posts: 561

Rep: Reputation: 57
What does
Quote:
yum info gmp
tell you?
 
Old 06-14-2018, 08:41 AM   #3
wazzu62
LQ Newbie
 
Registered: Dec 2007
Posts: 5

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by ilesterg View Post
What does tell you?
Installed Packages
Name : gmp
Arch : x86_64
Version : 4.3.1
Release : 10.el6
Size : 642 k
Repo : installed
From repo : localrepo

Available Packages
Name : gmp
Arch : i686
Version : 4.3.1
Release : 12.el6
Size : 316 k
Repo : localrepo
 
Old 06-18-2018, 01:37 AM   #4
ilesterg
Member
 
Registered: Jul 2012
Distribution: Arch, Debian, and CentOS/RHEL
Posts: 561

Rep: Reputation: 57
yum update will not install gpm i686 for no reason (i.e. if no package in rpm db depends on it - someone please correct me if this is wrong).

What you can try is manually install the package and see how it goes.

Code:
yum install gmp.i686
 
  


Reply

Tags
i686, repo, update, yum


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Repo updates are showing up when yum update newbie14 Linux - Software 12 05-19-2013 11:55 PM
Centos, local yum repo and multiple versions of rpm b0redom Linux - Server 2 11-30-2012 02:04 AM
how to tell yum not to update repo megerdin Linux - Newbie 4 11-26-2009 02:38 AM
is there a REPO for kernel Versions; want to update using Yum dschief Linux - Newbie 6 03-25-2009 07:22 PM
yum always first does a update of repo data. How to work around that ? nkd Linux - Software 2 02-20-2009 04:33 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat

All times are GMT -5. The time now is 10:45 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration